KaliVeda data analysis framework

Installation problem( /lib/libKVMultiDet.so: undefined reference to `TSeqCollection::GetLast() const')

Asked by cosmic0001 on 2011-10-26

Hello

I'm trying to install Kaliveda-1.8.1 in my system (Fedora 14.i686 amd Athlon || X2 245)
ROOT ver5.30/03 works fine

I've followed all the procedure
in the INSTALL(which was inside the package)
(Like PATH, LD_LIBRARY_PATH , ROOTSYS setup in .bashrc)

I'm I totally newbee in the field(Linux , C++)
so I've had lots of trouble during the installation
what i did was

$sudo make unpack ROOT_MAKEFILE_PATH=/usr/local/root/test
$sudo make ROOT_MAKEFILE_PATH=/usr/local/root/test

when during make in analysis tools

`/usr/local/KaliVeda-1.8.1-2011-06-10/analysis'

error occurs like

 /lib/libKVMultiDet.so: undefined reference to `TSeqCollection::GetLast() const'

and I'm out of idea how to solve this....

Question information

Language:
English Edit question
Status:
Answered
For:
KaliVeda Edit question
Assignee:
No assignee Edit question
Last query:
2011-10-26
Last reply:
2011-10-26
John Frankland (frankland) said : #1

Hello Cosmic One,

Can you try to build the latest development version ? i.e. instead of downloading the last .tgz
you need to do

$ bzr branch lp:kaliveda

to download a copy of the source tree (you need to have 'bazaar' installed on your system)?
Then to build you just do 'make ROOT_MAKEFILE_PATH=/usr/local/root/test' (no need for 'make unpack').
You will also need to have all the GNU automake development tools installed on your system
(autoconf, automake, libtool, etc.)

The v1.8.1 has not been tested with the latest version of ROOT,
whereas the development version should work.

Cheers
John

John Frankland (frankland) said : #2

Hello,
If you want, you can try the new v1.8.2 tarball which is available for download
All the best

Can you help with this problem?

Provide an answer of your own, or ask cosmic0001 for more information if necessary.

To post a message you must log in.